package org.ta.pddserver.service.impl;


import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import org.ta.pddserver.entity.UnpackMailDetailEntity;
import org.ta.pddserver.mapper.UnpackMailDetailMapper;
import org.ta.pddserver.service.UnpackMailDetailService;

import java.util.List;

@Service
public class UnpackMailDetailImpl extends ServiceImpl<UnpackMailDetailMapper, UnpackMailDetailEntity> implements UnpackMailDetailService {

    public UnpackMailDetailEntity getByMailNo(String mailNo) {
        return this.baseMapper.findByMailNo(mailNo);
    }

    public List<UnpackMailDetailEntity> getListByCode(String orderCode) {
        return this.baseMapper.findByOrderCode(orderCode);
    }
}